summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_world_patchin.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2011-01-03 17:09:42 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2011-01-24 18:09:53 +0100
commit956a5a6629fe3dc0a0d42ff439addac6a34209c8 (patch)
tree251888acdc7a7dc6c300d636814034118cff0c96 /scripts/lib/ptxd_make_world_patchin.sh
parent510d4d49b9581d6d4b1b0900a13d1758a96b720b (diff)
downloadptxdist-956a5a6629fe3dc0a0d42ff439addac6a34209c8.tar.gz
ptxdist-956a5a6629fe3dc0a0d42ff439addac6a34209c8.tar.xz
[ptxd_make_world_patchin] use ptxd_in_path to find patch dir
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/lib/ptxd_make_world_patchin.sh')
-rw-r--r--scripts/lib/ptxd_make_world_patchin.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/scripts/lib/ptxd_make_world_patchin.sh b/scripts/lib/ptxd_make_world_patchin.sh
index 57f7a610c..bbb749045 100644
--- a/scripts/lib/ptxd_make_world_patchin.sh
+++ b/scripts/lib/ptxd_make_world_patchin.sh
@@ -23,14 +23,12 @@
ptxd_make_world_patchin_apply_init()
{
#
+ # find patch_dir
# for compatibility, look first in 'generic', then in standard
# location
#
- local path="${PTXDIST_PATH_PATCHES//://${pkg_pkg}/generic } \
- ${PTXDIST_PATH_PATCHES//://${pkg_pkg} }"
-
- # find patch_dir
- if ! ptxd_get_path "${path}"; then
+ if ! ptxd_in_path PTXDIST_PATH_PATCHES ${pkg_pkg}/generic &&
+ ! ptxd_in_path PTXDIST_PATH_PATCHES ${pkg_pkg} ; then
echo "patchin: no patches found"
return
fi